
Feature: chessboard traveling
  Have the function ChessboardTraveling(str) read str which will be a string consisting of the location of a space on a
  standard 8x8 chess board with no pieces on the board along with another space on the chess board. The structure of
  str will be the following: "(x y)(a b)" where (x y) represents the position you are currently on with x and y ranging
  from 1 to 8 and (a b) represents some other space on the chess board with a and b also ranging from 1 to 8
  where a > x and b > y. Your program should determine how many ways there are of traveling from (x y) on the board
  to (a b) moving only up and to the right. For example: if str is (1 1)(2 2) then your program should output 2 because
  there are only two possible ways to travel from space (1 1) on a chessboard to space (2 2) while making only moves up
  and to the right.

  Scenario: scenario (1 1)(2 2)
    Given les positions (1 1)(2 2)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 2

  Scenario: scenario (1 1)(3 3)
    Given les positions (1 1)(3 3)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 6

  Scenario: scenario (2 2)(4 3)
    Given les positions (2 2)(4 3)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 3

  Scenario: scenario (2 2)(3 3)
    Given les positions (2 2)(3 3)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 2

  Scenario: scenario (1 1)(4 4)
    Given les positions (1 1)(4 4)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 20

  Scenario: scenario (1 1)(5 5)
    Given les positions (1 1)(5 5)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 70

  Scenario: scenario (7 7)(8 8)
    Given les positions (7 7)(8 8)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 2

  Scenario: scenario (1 1)(8 8)
    Given les positions (1 1)(8 8)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 3432

  Scenario: scenario (1 1)(4 6)
    Given les positions (1 1)(4 6)
    When je détermine le nombre de chemins
    Then le nombre de chemins possible est 56


